geos::operation::distance::ConnectedElementLocationFilter Class Reference

A ConnectedElementPointFilter extracts a single point from each connected element in a Geometry (e.g. a polygon, linestring or point) and returns them in a list. Empty geometries do not provide a location item. More...

`#include <ConnectedElementLocationFilter.h>`

Inheritance diagram for geos::operation::distance::ConnectedElementLocationFilter:

## Public Member Functions

void | filter_ro (const geom::Geometry *geom) override
void | filter_rw (geom::Geometry *geom) override

## Static Public Member Functions

static std::vector< GeometryLocation > | getLocations (const geom::Geometry *geom)
| Returns a list containing a point from each Polygon, LineString, and Point found inside the specified geometry.

## Detailed Description

A ConnectedElementPointFilter extracts a single point from each connected element in a Geometry (e.g. a polygon, linestring or point) and returns them in a list. Empty geometries do not provide a location item.

The elements of the list are GeometryLocation.

Empty geometries do not provide a location item.

## Member Function Documentation

## filter_ro()

void geos::operation::distance::ConnectedElementLocationFilter::filter_ro | ( | const geom::Geometry * | geom | ) |

override virtual

Reimplemented from geos::geom::GeometryFilter.

## filter_rw()

void geos::operation::distance::ConnectedElementLocationFilter::filter_rw | ( | geom::Geometry * | geom | ) |

override virtual

Reimplemented from geos::geom::GeometryFilter.

## getLocations()

std::vector< GeometryLocation > geos::operation::distance::ConnectedElementLocationFilter::getLocations | ( | const geom::Geometry * | geom | ) |

static

Returns a list containing a point from each Polygon, LineString, and Point found inside the specified geometry.

Thus, if the specified geometry is not a GeometryCollection, an empty list will be returned. The elements of the list are GeometryLocations.

The documentation for this class was generated from the following file:

- ConnectedElementLocationFilter.h